(function ($) {
    "use strict";
    // object js
    var Woocp_Admin = {
        init: function () {
            this.admin_setting_time_countdown();
            this.change_type_timer();
            this.change_enable_bar_available();
            this.change_enable_message_product();
        },
        change_enable_bar_available: function() {
            var enable_bar_available = $('#woocp_display_quantity_sale_enable').val();
            if (enable_bar_available === 'no') {
                $('.woocp_quantity_available_on_sale_field').css('display', 'none');
                $('.woocp_quantity_product_sale_field').css('display', 'none');
            }
            $('#woocp_display_quantity_sale_enable').on('change', function() {
                if ($(this).val() === 'no') {
                    $('.woocp_quantity_available_on_sale_field').css('display', 'none');
                    $('.woocp_quantity_product_sale_field').css('display', 'none');
                } else {
                    $('.woocp_quantity_available_on_sale_field').css('display', 'block');
                    $('.woocp_quantity_product_sale_field').css('display', 'block');
                }
            })
        },
        change_type_timer: function() {
            var value_type_timer = $('#woocp_type_timer').val();
            if ( value_type_timer !== 'time_reset' ) {
                $('.woocp_reset_timer_field_field ').css('display', 'none');
            }

            $('#woocp_type_timer').on('change', function(){
                if ( $(this).val() !== 'time_reset' ) {
                    $('.woocp_reset_timer_field_field ').css('display', 'none');
                } else {
                    $('.woocp_reset_timer_field_field ').css('display', 'block');
                }
            })
        },
        admin_setting_time_countdown: function () {
            if ( $('.color_woocp').length > 0 ) {
                $('.color_woocp').wpColorPicker();
            }
        },
        change_enable_message_product: function() {
            if( $('#woocp_display_message_product_enable').val() !== 'yes' ) {
                $('.woocp_message_product_content_field').css('display', 'none');
            } else {
                $('.woocp_message_product_content_field').css('display', 'block');
            }
            $('#woocp_display_message_product_enable').on('change', function(){
                var enable_message = $(this).val();
                if ( enable_message !== 'yes' ) {
                    $('.woocp_message_product_content_field').css('display', 'none');
                } else {
                    $('.woocp_message_product_content_field').css('display', 'block');
                }
            });
        },
    };

    // ready
    $(document).ready(function () {
        // Woocp_Admin init
        Woocp_Admin.init();
    });

})(jQuery);