<?php
defined( 'ABSPATH' ) || exit;

if ( class_exists( 'Woocp_Assets', false ) ) {
	return new Woocp_Assets();
}

/**
 * Admin Assets classes
 */
class Woocp_Assets{

	

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}


	/**
	 * Constructor
	 */
	public function __construct(){
		add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_scripts' ), 10, 2 );
		add_action('admin_enqueue_scripts', array( $this, 'enqueue_scripts_admin' ));
	}

	/**
	 * Add menu items.
	 */
	public function enqueue_scripts() {
		//add libs jquery countdown
		wp_enqueue_script( 'jquery-countdown-plugin', WOOCP_PLUGIN_URI.'/assets/libs/jquery-countdown/jquery.plugin.min.js', array(), null );
		wp_enqueue_script( 'jquery-countdown', WOOCP_PLUGIN_URI.'/assets/libs/jquery-countdown/jquery.countdown.min.js', array(), null );

        $language =  get_option( 'wc_settings_tab_woocp_set_language_countdown' );
        if ($language != '') {
            wp_enqueue_script( 'jquery-countdown-', WOOCP_PLUGIN_URI.'/assets/libs/jquery-countdown/jquery.countdown-'.$language.'.js', array(), null );
            wp_enqueue_script( 'jquery-countdown-', WOOCP_PLUGIN_URI.'/assets/libs/jquery-countdown/jquery.countdown-uk.js', array(), null );
        }

		wp_enqueue_script('el_frontend', WOOCP_PLUGIN_URI.'assets/js/frontend/script.js', array('jquery'),false,true);	
		wp_enqueue_style('el_frontend', WOOCP_PLUGIN_URI.'assets/css/frontend/style.css' );
	}

	public function enqueue_scripts_admin() {

		/* Color Picker */
		wp_enqueue_style('wp-color-picker');

		wp_enqueue_style('el_admin', WOOCP_PLUGIN_URI.'assets/css/admin/admin.css' );
		wp_enqueue_script( 'el_admin' , WOOCP_PLUGIN_URI.'assets/js/admin/admin.js' , array( 'jquery' , 'wp-color-picker' ) );
	}
	
}

Woocp_Assets::instance();

