<?php

/**
 * EventList Setup
 * @package EventList
 * @since 1.0
 */
defined( 'ABSPATH' ) || exit;

/**
 * Settings Class
 */
class Woocp_Setting{

	/**
	 * instance
	 * @var null
	 */
	protected static $_instance = null;

	/**
	 * $_options
	 * @var null
	 */
	public $_options = null;

	public $_id = null;

	/**
	 * prefix option name
	 * @var string
	 */
	public $_prefix = 'woocp';

	public function __construct( $prefix = null, $id = null ) {

		if ( $prefix ) {
			$this->_prefix = $prefix;
		}

		$this->_id = $id;

		

		
	}

	public function __get( $id = null ) {
		$settings = apply_filters( 'woocp_settings_field', array() );
		if ( array_key_exists( $id, $settings ) ) {
			return $settings[ $id ];
		}

		return null;
	}
	
	/**
	 * get option value
	 *
	 * @param  $name
	 *
	 * @return option value. array, string, boolean
	 */
	public function get( $name = null, $default = null ) {
		if ( ! $this->_options ) {
			$this->_options = $this->options();
		}

		if ( $name && isset( $this->_options[ $name ] ) ) {
			return $this->_options[ $name ];
		}

		return $default;
	}
	
	static function instance( $prefix = null, $id = null ) {

		if ( ! empty( self::$_instance[ $prefix ] ) ) {
			return self::$_instance[ $prefix ];
		}

		return self::$_instance[ $prefix ] = new self( $prefix, $id );
	}
	
}

