<?php
/**
 * @package Woocp/Classes
 * @version 1.0
 */
defined( 'ABSPATH' ) || exit;


/**
 * Post Type Class
 */
class Display_Time_Countdown{
    
    public function __construct(){
        $this->display_time_countdown_shop_page();
        $this->display_time_countdown_detail_product();
    }

    public function display_time_countdown_shop_page() {
        $position_display_timer_archive = get_option('wc_settings_tab_woocp_position_display_timer_archive');
        switch ($position_display_timer_archive) {
            case 'above_title' : {
                add_action ('woocommerce_shop_loop_item_title',  array( $this, 'woocp_display_timer_countdownt_archive' ), 9);
                break;
            }
            case 'under_title' : {
                add_action ('woocommerce_shop_loop_item_title',  array( $this, 'woocp_display_timer_countdownt_archive' ), 11);
                break;
            }
            case 'under_price' : {
                add_action ('woocommerce_after_shop_loop_item_title',  array( $this, 'woocp_display_timer_countdownt_archive' ), 11);
                break;
            }

            case 'under_add_cart' : {
                add_action ('woocommerce_after_shop_loop_item',  array( $this, 'woocp_display_timer_countdownt_archive' ), 11);
                break;
            }
            default : {
                add_action ('woocommerce_shop_loop_item_title',  array( $this, 'woocp_display_timer_countdownt_archive' ), 11);
                break;
            }
        }
    }

    public function display_time_countdown_detail_product () {
        $position_display_timer_detail_product = get_option('wc_settings_tab_woocp_position_display_timer_detail');
        switch ($position_display_timer_detail_product) {
            case 'above_title' : {
                add_action ('woocommerce_single_product_summary',  array( $this, 'woocp_display_timer_countdownt_detail_product' ), 4);
                break;
            }
            case 'under_title' : {
                add_action ('woocommerce_single_product_summary',  array( $this, 'woocp_display_timer_countdownt_detail_product' ), 6);
                break;
            }
            case 'under_price' : {
                add_action ('woocommerce_single_product_summary',  array( $this, 'woocp_display_timer_countdownt_detail_product' ), 11);
                break;
            }

            case 'under_desc' : {
                add_action ('woocommerce_single_product_summary',  array( $this, 'woocp_display_timer_countdownt_detail_product' ), 21);
                break;
            }

            case 'under_add_cart' : {
                add_action ('woocommerce_single_product_summary',  array( $this, 'woocp_display_timer_countdownt_detail_product' ), 31);
                break;
            }
            default : {
                add_action ('woocommerce_single_product_summary',  array( $this, 'woocp_display_timer_countdownt_detail_product' ), 6);
                break;
            }
        }
    }

    public function woocp_display_timer_countdownt_archive() {
        $product_id = get_the_id();

        $agrs = [
            'product_id' => $product_id
        ];
        $template = apply_filters( 'woocp_timer_countdown_archive', 'time_countdown_shop.php' );
        woocp_get_template( $template, $agrs );
    }

    public function woocp_display_timer_countdownt_detail_product () {
        $product_id = get_the_id();
        $agrs = [
            'product_id' => $product_id
        ];
        $template = apply_filters( 'woocp_timer_countdown_product', 'time_countdown_product.php' );
        woocp_get_template( $template, $agrs );
    }

}

new Display_Time_Countdown();

?>