<?php
// add the settings under ‘General’ sub-menu
add_action( 'woocommerce_product_options_general_product_data', 'woocp_add_custom_settings' );
add_action( 'woocommerce_process_product_meta', 'woocp_save_custom_settings' );


function woocp_add_custom_settings() {
    global $woocommerce, $post;

    woocommerce_wp_select(
        [
            'id' => 'woocp_type_timer',
            'label' => esc_html__( 'Countdown Context', 'woocp' ),
            'placeholder'       => '',
            'options'           => 
            [
                'time_to_upcomming' => esc_html__( 'Time till the upcoming sale-off period', 'woocp' ),
                'time_to_close_sale' => esc_html__( 'Time left to purchase', 'woocp' ),
                'time_reset'    => esc_html__( 'Auto Countdown Reset', 'woocp' ),
            ]
        ]
    );

    woocommerce_wp_text_input(
        [
            'id'                => 'woocp_reset_timer_field',
            'class'             => 'short',
            'label'             => esc_html__( 'Number Day Reset Timer', 'woocp' ),
            'type'              => 'number'
        ]
    );

    woocommerce_wp_select(
        [
            'id' => 'woocp_display_quantity_sale_enable',
            'label' => esc_html__( 'Enable Display Char Quantity Sales', 'woocp' ),
            'placeholder'       => '',
            'default'           => 'global',
            'options'           => 
            [
                'global'   => esc_html__( 'Global', 'woocp' ),
                'yes'   => esc_html__( 'Yes', 'woocp' ),
                'no'    => esc_html__( 'No', 'woocp' ),
            ]

        ]
    );

    woocommerce_wp_text_input(
        [
            'id'                => 'woocp_quantity_available_on_sale',
            'class'             => 'short',
            'label'             => esc_html__( 'Quantity Availabel On Sale', 'woocp' ),
            'type'              => 'number'
        ]
    );

    woocommerce_wp_text_input(
        [
            'id'                => 'woocp_quantity_product_sale',
            'class'             => 'short',
            'label'             => esc_html__( 'Quantity Product Sale', 'woocp' ),
            'type'              => 'number'
        ]
    );

    woocommerce_wp_select(
        [
            'id' => 'woocp_display_message_product_enable',
            'label' => esc_html__( 'Show Message', 'woocp' ),
            'placeholder'       => '',
            'default'           => 'global',
            'options'           => 
            [
                'global'   => esc_html__( 'Use Message In General Setting', 'woocp' ),
                'yes'   => esc_html__( 'Custom Message Product', 'woocp' ),
                'no'    => esc_html__( 'No Display Message', 'woocp' ),
            ]
        ]
    );

    woocommerce_wp_text_input(
        [
            'id'                => 'woocp_message_product_content',
            'class'             => 'short',
            'label'             => esc_html__( 'Message', 'woocp' ),
            'description' => esc_html__( 'Use Format: {stock}: number product in stock, {sold}: number product sale, {price}: price of product, {price_saleoff}: price saleoff of product', 'woocp' ),
            'type'              => 'text'
        ]
    );

}

// Save Custom Fields
function woocp_save_custom_settings( $post_id ){
    $woocp_type_timer = $_POST['woocp_type_timer'];
    update_post_meta( $post_id, 'woocp_type_timer', esc_attr( $woocp_type_timer) );

    $woocp_reset_timer_field = $_POST['woocp_reset_timer_field'];
    update_post_meta( $post_id, 'woocp_reset_timer_field', esc_attr( $woocp_reset_timer_field) );

    $woocp_display_quantity_sale_enable = $_POST['woocp_display_quantity_sale_enable'];
    update_post_meta( $post_id, 'woocp_display_quantity_sale_enable', esc_attr( $woocp_display_quantity_sale_enable) );

    $woocp_quantity_available_on_sale = $_POST['woocp_quantity_available_on_sale'];
    update_post_meta( $post_id, 'woocp_quantity_available_on_sale', esc_attr( $woocp_quantity_available_on_sale) );

    $woocp_quantity_product_sale = $_POST['woocp_quantity_product_sale'];
    update_post_meta( $post_id, 'woocp_quantity_product_sale', esc_attr( $woocp_quantity_product_sale) );

    $woocp_display_message_product_enable = $_POST['woocp_display_message_product_enable'];
    update_post_meta( $post_id, 'woocp_display_message_product_enable', esc_attr( $woocp_display_message_product_enable) );

    $woocp_message_product_content = $_POST['woocp_message_product_content'];
    update_post_meta( $post_id, 'woocp_message_product_content', esc_attr( $woocp_message_product_content) );
}


?>